Copyright: Created with EasyHelp (Tel: 0973 209667)


Ordinal/Ordinal Clamp - RG354494

Description

This block applies both a positive (max) and a negative (min) clamp on its Input.  It has a single Output.

If max is less than min, the Output will be equal to max.

All of the inputs are persistent.  This function block sends an output whenever any of the inputs receive a message.

Parameters

Input	Input.  Expects an ordinal (0 to 65535).

Postive Clamp	Input.  Expects an ordinal (0 to 65535).

Negative Clamp	Input.  Expects an ordinal (0 to 65535).

Get Output	Returns the current output:  0 to 65535.

Get Pos Clamp	Returns the positive clamp:  0 to 65535.

Get Neg Clamp	Returns the negative clamp:  0 to 65535.


Description

This block applies both a positive (max) and a negative (min) clamp on its Input.  It has a single Output.

If max is less than min, the Output will be equal to max.

All of the inputs are persistent.  This function block sends an output whenever any of the inputs receive a message.


Parameters

Input	Input.  Expects an ordinal (0 to 65535).

Postive Clamp	Input.  Expects an ordinal (0 to 65535).

Negative Clamp	Input.  Expects an ordinal (0 to 65535).

Get Output	Returns the current output:  0 to 65535.

Get Pos Clamp	Returns the positive clamp:  0 to 65535.

Get Neg Clamp	Returns the negative clamp:  0 to 65535.